New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Do not strip binaries #467

Closed
amak79 opened this Issue Sep 3, 2017 · 1 comment

Comments

Projects
None yet
2 participants
@amak79

amak79 commented Sep 3, 2017

The Gentoo Linux package manager has found the following issues during its automatic QA checks:

 * QA Notice: Pre-stripped files found:
 * /usr/lib/libgimxusb.so
 * /usr/lib/libgimxtimer.so
 * /usr/lib/libgimxserial.so
 * /usr/lib/libgimxprio.so
 * /usr/lib/libgimxpoll.so
 * /usr/lib/libgimxinput.so
 * /usr/lib/libgimxhid.so
 * /usr/lib/libgimxuhid.so
 * /usr/lib/libgimxconfigeditor.so
 * /usr/lib/libgimxgpp.so
 * /usr/lib/libgimxupdater.so
 * /usr/lib/libgimxconfigupdater.so
 * /usr/lib/libgimxcontroller.so

Gentoo has a policy that requires packages to leave the task of stripping to the package manager. Would you consider disabling stripping binaries i.e. removing -s from the makefiles?

@matlo matlo changed the title from [Linux] GIMX pre-strips binaries to Do not strip binaries Sep 3, 2017

matlo added a commit that referenced this issue Sep 3, 2017

@matlo

This comment has been minimized.

Show comment
Hide comment
@matlo

matlo Sep 3, 2017

Owner

Done.

Owner

matlo commented Sep 3, 2017

Done.

@matlo matlo closed this Sep 3, 2017

@matlo matlo added the GIMX 6.9 label Sep 10, 2017

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment